Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.filterencoding.capabilities
Class FilterCapabilities

    java.lang.Object
      org.deegree.model.filterencoding.capabilities.FilterCapabilities

    public class FilterCapabilities

extends Object

FilterCapabilitiesBean used to represent `Filter`expressions according to the 1.0.0 as well as the 1.1.1 `Filter Encoding Implementation Specification`.``

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Torsten Friebe, Markus Schneider, last edited by: $Author: mschneider $

Field Summary
`static String` | `VERSION_100`
`static String` | `VERSION_110`

Constructor Summary
`FilterCapabilities(ScalarCapabilities scalarCapabilities, SpatialCapabilities spatialCapabilities)` Constructs a new `FilterCapabilities` -instance with the given parameters.
`FilterCapabilities(ScalarCapabilities scalarCapabilities, SpatialCapabilities spatialCapabilities, IdCapabilities idCapabilities)` Constructs a new `FilterCapabilities` -instance with the given parameters.

Method Summary
`IdCapabilities` | `getIdCapabilities()`
`ScalarCapabilities` | `getScalarCapabilities()`
`SpatialCapabilities` | `getSpatialCapabilities()`
`String` | `getVersion()`
`void` | `setIdCapabilities(IdCapabilities idCapabilities)`
`void` | `setScalarCapabilities(ScalarCapabilities capabilities)`
`void` | `setSpatialCapabilities(SpatialCapabilities capabilities)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VERSION_100

    public static final String VERSION_100

See Also:
  Constant Field Values

### VERSION_110

    public static final String VERSION_110

See Also:
  Constant Field Values

Constructor Detail

### FilterCapabilities

    public FilterCapabilities(ScalarCapabilities scalarCapabilities,
                              SpatialCapabilities spatialCapabilities)

  Constructs a new `FilterCapabilities` -instance with the given parameters. Used for filter expressions according to the 1.0.0 specification that don't have an `Id_Capabilities` section.

  Parameters:
    `scalarCapabilities` -
    `spatialCapabilities` -

### FilterCapabilities

    public FilterCapabilities(ScalarCapabilities scalarCapabilities,
                              SpatialCapabilities spatialCapabilities,
                              IdCapabilities idCapabilities)

  Constructs a new `FilterCapabilities` -instance with the given parameters. Used for filter expressions according to the 1.1.0 specification that have an `Id_Capabilities` section.

  Parameters:
    `scalarCapabilities` -
    `spatialCapabilities` -
    `idCapabilities` -

Method Detail

### getScalarCapabilities

    public ScalarCapabilities getScalarCapabilities()

  Returns:
    scalarCapabilities

### getSpatialCapabilities

    public SpatialCapabilities getSpatialCapabilities()

  Returns:
    spatialCapabilities

### setScalarCapabilities

    public void setScalarCapabilities(ScalarCapabilities capabilities)

  Parameters:
    `capabilities` -

### setSpatialCapabilities

    public void setSpatialCapabilities(SpatialCapabilities capabilities)

  Parameters:
    `capabilities` -

### getIdCapabilities

    public IdCapabilities getIdCapabilities()

  Returns:
    Returns the idCapabilities.

### setIdCapabilities

    public void setIdCapabilities(IdCapabilities idCapabilities)

  Parameters:
    `idCapabilities` - The idCapabilities to set.

### getVersion

    public String getVersion()

  Returns:
    Returns the version.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org